#{extends 'border.html'/}
<div class="container-fluid">

    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{purchasing.PaketCtr.index()}">&{'daftar_paket.label'}</a></li>
                <li><a href="${paket?.getDetailUrl()}">&{'detail_paket.label'}</a></li>
                <li class="active">&{'daftar_produk.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <!-- Toolbar -->
            <div class="toolbar">
                <a href="${paket?.getDetailUrl()}" class="btn btn-sm btn-default"><i
                        class="fa fa-arrow-circle-left"></i> &{'back'}</a>
            </div>
            <!-- End Toolbar -->
        </div>
    </div>
    <div class="alert alert-danger alert-dismissible" id="alert-gagal-proses" role="alert" style="display: none;">
    &{'notif_hapus_produk_paket.label'}
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="row">
        <div class="detail-wrapper">
            <div class="row">
                <div class="detail-header">
                    <div class="col-md-12">
                        <h5>&{'daftar_produk_paket.label'} ${paket?.no_paket}</h5>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="detail-footer">
                    <div class="col-md-12">
                        <div class="panel panel-default" style="overflow-x: auto">
                            <table class="table table-bordered">
                                <thead>
                                <tr>
                                *{#{if aktifUser.isPpk() || aktifUser.isPp()}}*
                                    *{#{if (paket.negoHeader != null)}}*
                                        *{#{if (paket.negoHeader.panitia_setuju && paket.negoHeader.penyedia_setuju) || paket.apakah_batal == 1}#{/if}}*
                                        *{#{else }}*
                                            *{<th></th>#{/else}}*
                                    *{#{/if}}*
                                *{#{/if}}*
                                #{if aktifUser.isPpk() || aktifUser.isPp()}
                                    #{if (paket.negoHeader != null)}
                                        #{if (allowDelete)}
                                            <th></th>
                                        #{/if}
                                    #{/if}
                                #{/if}
                                    <th>&{'nama_produk.label'}</th>
                                    <th>&{'kuantitas.label'}</th>
                                    <th>&{'mata_uang.label'}</th>
                                    <th>&{'harga_satuan.label'}</th>
                                    <th>&{'harga_kirim.label'}</th>
                                    <th>&{'total_harga.label'}</th>
                                #{if aktifUser.isPpk() || aktifUser.isPp()}
                                    <th>&{'harga_terbaik.label'}</th>
                                #{/if}
                                    <th>&{'catatan.label'}</th>
                                #{if  paket?.commodity?.isNegotiationRequired()}
                                    <th>&{'aksi.label'}</th>
                                #{/if}
                                </tr>
                                </thead>
                                <tbody>
                                #{list items:paket?.products, as:'item'}
                                    #{if item.getNamaKurs()=='IDR'}
                                    <tr>
                                        *{#{if aktifUser.isPpk() || aktifUser.isPp()}}*
                                            *{#{if (paket.negoHeader != null)}}*
                                                *{#{if (paket.negoHeader.panitia_setuju && paket.negoHeader.penyedia_setuju) || paket.apakah_batal == 1}#{/if}}*
                                                *{#{else }}*
                                                    *{<td>}*
                                                        *{<button class="btn btn-xs btn-danger" data-toggle="modal"}*
                                                                *{name="button-delete" data-target="#confirm-delete"}*
                                                                *{data-paketprodukid="${item.id}">}*
                                                            *{<i class="fa fa-trash"></i>}*
                                                        *{</button>}*
                                                    *{</td>}*
                                                *{#{/else}}*
                                            *{#{/if}}*
                                        *{#{/if}}*
                                        #{if aktifUser.isPpk() || aktifUser.isPp()}
                                            #{if (paket.negoHeader != null)}
                                                #{if (allowDelete)}
                                                    <td>
                                                        <button class="btn btn-xs btn-danger" data-toggle="modal"
                                                                name="button-delete" data-target="#confirm-delete"
                                                                data-paketprodukid="${item.id}">
                                                            <i class="fa fa-trash"></i>
                                                        </button>
                                                    </td>
                                                #{/if}
                                            #{/if}
                                        #{/if}
                                        <td>
                                            <a href="${item.getDetailUrl()}">
                                                <p>${item.no_produk}</p>
                                                <h6>${item.nama_manufaktur} ${item.nama_produk}</h6>
                                            </a>
                                        </td>
                                        <td class="column-right">${ext.FormatUtils.formatDesimal2(item.kuantitas)}</td>
                                        <td>${item.getNamaKurs()}</td>
                                        <td class="column-right">${item.getFormattedUnitPrice()}</td>
                                        <td class="column-right">${item.getFormattedDeliveryCost()}</td>
                                        <td class="column-right">${item.getFormattedTotalPrice()}</td>
                                        #{if aktifUser.isPpk() || aktifUser.isPp()}
                                        <td class="column-center">
                                            #{if item.getBestPrice()!=null}
                                                <a href="#" onclick="getHistory(${item.produk_id})"
                                                   class="btn btn-info btn-xs">${item.getFormattedBestPrice()}</a></td>
                                            #{/if}
                                            </td>
                                        #{/if}
                                    *{<td class="column-right">${item.getBestPrice()==null?'':item.getFormattedBestPrice()}</td>}*
                                        <td width="200">${item.catatan}</td>
                                        #{if paket?.commodity?.isNegotiationRequired()}
                                            <td>
                                                <a href="${item.getDetailHistoryUrl()}"
                                                   class="btn btn-sm btn-xs btn-primary">&{'riwayat_negosiasi.label'}
                                                </a>
                                            </td>
                                        #{/if}
                                    </tr>
                                    #{/if}
                                    #{else}
                                    <tr>
                                        #{if aktifUser.isPpk() || aktifUser.isPp()}
                                            #{if (paket.negoHeader != null)}
                                                #{if (paket.negoHeader.panitia_setuju && paket.negoHeader.penyedia_setuju) || paket.apakah_batal == 1}#{/if}
                                                #{else }
                                                    <td>
                                                        <button class="btn btn-xs btn-danger" data-toggle="modal"
                                                                data-target="#confirm-delete"
                                                                data-paketprodukid="${item.id}">
                                                            <i class="fa fa-trash"></i>
                                                        </button>
                                                    </td>
                                                #{/else}
                                            #{/if}
                                        #{/if}
                                        <td rowspan="2">
                                            <a href="${item.getDetailUrl()}">
                                                <p>${item.no_produk}</p>
                                                <h6>${item.nama_manufaktur} ${item.nama_produk}</h6>
                                            </a>
                                        </td>
                                        <td class="column-right"
                                            rowspan="2">${ext.FormatUtils.formatDesimal2(item.kuantitas)}</td>
                                        <td>${item.getNamaKurs()}</td>
                                        <td class="column-right">${ext.FormatUtils.formatDesimal2(item.getUnitPrice())}</td>
                                        <td class="column-right">${ext.FormatUtils.formatDesimal2(item.getDeliveryCost())}</td>
                                        <td class="column-right">${ext.FormatUtils.formatDesimal2(item.getTotalPrice())}</td>
                                    <td class="column-center">
                                        #{if item.getBestPrice()!=null}
                                            <a href="#" onclick="getHistory(${item.produk_id})"
                                               class="btn btn-info btn-xs">${ext.FormatUtils.formatDesimal2(item.getBestPrice())}</a>
                                        </td>
                                        #{/if}
                                        </td>
                                    *{<td class="column-right">${item.getBestPrice()==null?'':ext.FormatUtils.formatDesimal2(item.getBestPrice())}</td>}*
                                        <td rowspan="2" width="200">${item.catatan}</td>
                                        #{if paket?.commodity?.isNegotiationRequired()}
                                            <td rowspan="2">
                                                <a href="${item.getDetailHistoryUrl()}"
                                                   class="btn btn-sm btn-xs btn-primary">&{'riwayat_negosiasi.label'}
                                                </a>
                                            </td>
                                        #{/if}
                                    </tr>
                                    <tr>
                                        <td>IDR</td>
                                        <td class="column-right">${item.getFormattedConversionUnitPrice()}</td>
                                        <td class="column-right">${item.getFormattedConversionDeliveryCost()}</td>
                                        <td class="column-right">${item.getFormattedConversionTotalPrice()}</td>
                                        <td class="column-right">${item.getBestPrice()==null?'':item.getFormattedConversionBestPrice()}</td>
                                    </tr>
                                    #{/else}
                                #{/list}
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="viewModal" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th>&{'nama_paket.label'}</th>
                            <th>&{'nomor_paket.label'}</th>
                            <th>&{'instansi.label'}</th>
                            <th>&{'satuan_kerja.label'}</th>
                            <th>&{'lokasi.label'}</th>
                            <th>&{'harga_satuan.label'}</th>
                            <th>&{'kuantitas.label'}</th>
                            <th>&{'total_harga.label'}</th>
                            <th>&{'tahun.label'}</th>
                        </tr>
                        </thead>
                        <tbody id="riwayat_harga">
                        </tbody>
                    </table>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default btn-md" data-dismiss="modal"><i
                            class="fa fa-close"></i> &{'batal.label'}</button>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal Konfirmasi Delete-->
    <div class="modal fade" id="confirm-delete" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
         aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                &{'konfirmasi.label'}
                </div>
                <div class="modal-body">
                &{'produk.paket.delete.konfirmasi'}?
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">&{'cancel'}</button>
                    <button type="button" class="btn btn-danger btn-ok">&{'delete'}</button>
                </div>
            </div>
        </div>
    </div>
</div>

#{set 'moreScripts'}
<script type="text/javascript">
    function formatNumber(num) {
        return 'Rp.' + num.toString().replace('.', ',').replace(/(\d)(?=(\d{3})+(?!\d))/g, '$1.')
    }

    function getHistory(idp) {
        $.ajax({
            type: 'post',
            url: '@{purchasing.PaketCtr.getHistoryPrice()}',
            dataType: 'json',
            data: {produkId: idp},
            success: function (data) {
                $('#riwayat_harga').empty();
                $("#viewModal").modal();
                for (var i = 0; i < data.length; i++) {
                    $('#riwayat_harga').append('<tr><td>' +
                            data[i].nama_paket + '</td><td>' +
                            data[i].no_paket + '</td><td>' +
                            data[i].instansi + '</td><td>' +
                            data[i].satuan_kerja_nama + '</td><td>' +
                            data[i].nama_provinsi + '</td><td class="column-right">' +
                            formatNumber(data[i].harga_satuan) + '</td><td class="column-right">' +
                            data[i].kuantitas + '</td><td class="column-right">' +
                            formatNumber(data[i].harga_total) + '</td><td class="column-center">' +
                            data[i].tahun + '</td></tr>');
                }
            }
        });
    };

    $("body").on('show.bs.modal', '#confirm-delete', function (e) {
        $(this).find('.btn-ok').attr('data-paketprodukid', $(e.relatedTarget).data('paketprodukid'));
    });

    $("body").on('click', '.btn-ok', function () {
        var totalProduk = $('[name=button-delete]').length;
        var paketProdukId = $(this).data("paketprodukid");
        var paketId = "${paket?.id}";

        if (totalProduk <= 1) {
            $('#alert-gagal-proses').show();
            $('#confirm-delete').modal('hide');
            $('html, body').animate({scrollTop: '0px'}, 'slow');
        } else {
            $.ajax({
                url: '@{purchasing.PaketCtr.removeFromPackage()}',
                data: {"paketProdukId": paketProdukId, "paketId": paketId},
                type: 'POST',
                success: function (res) {
                    $('#confirm-delete').modal('toggle');
                    location.reload();
                },
                error: function () {
                    $('#confirm-delete').modal('toggle');
                    location.reload();
                }
            });
        }
    })

</script>
#{/set}